Skip to main content
GET
/
v1
/
proxies
cURL
curl --request GET \
  --url https://cmd.illusory.io/v1/proxies \
  --header 'Authorization: Bearer <token>'
{
  "ok": true,
  "data": [
    {
      "proxy_name": "ILL-US-AU1-9999",
      "nickname": null,
      "isp": "Verizon",
      "period": "weekly",
      "auto_renew": false,
      "auto_renew_interval": 1,
      "added_at": "2050-12-04T17:43:16.407+00:00",
      "expires_at": "2050-12-14T23:23:09.792+00:00",
      "network_status": "online",
      "server_ip": "198.765.543.21",
      "h_port": 12345,
      "s_port": 67890,
      "auth_method": "basic",
      "username": "john",
      "password": "wick05",
      "whitelist": null,
      "auto_change": false,
      "auto_change_time": 0,
      "last_ip_change": "2050-12-04T17:51:40.339+00:00",
      "last_reboot": "2050-12-04T17:51:40.339+00:00",
      "traffic": 60156561622,
      "h_threads": 99,
      "s_threads": 0,
      "city": "Austin",
      "state": "TX"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://www.illusory.io/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The Authorization header is used to authenticate with the API using your Master API key. Value is of the format Bearer YOUR_KEY_HERE.

Response

Server response

ok
boolean

Indicates whether the request was successful e.g., true

data
object[]

An array of proxy details